Summary:	Mount a directory elsewhere with changed permissions
Summary(pl.UTF-8):	Montowanie katalogu w innym miejscu z innymi uprawnieniami
Name:		bindfs
Version:	1.17.7
Release:	1
License:	GPL v2+
Group:		Applications/System
Source0:	https://bindfs.org/downloads/%{name}-%{version}.tar.gz
# Source0-md5:	7479e3f101f456893c8ec35e0e4eb808
URL:		https://bindfs.org/
BuildRequires:	libfuse3-devel >= 3.4.0
BuildRequires:	pkgconfig >= 1:0.9.0
Requires:	libfuse3 >= 3.4.0
Requires:	libfuse3-tools >= 3.4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
bindfs is a FUSE filesystem for mirroring a directory to another
directory, similarly to mount --bind. The permissions of the mirrored
directory can be altered in various ways.

Some things bindfs can be used for:
- Making a directory read-only.
- Making all executables non-executable.
- Sharing a directory with a list of users (or groups).
- Modifying permission bits using rules with chmod-like syntax.
- Changing the permissions with which files are created.

%description -l pl.UTF-8
bindfs to system plików FUSE do odwzorowania lustrzanego katalogu w
innym katalogu, podobnie do mount --bind. Uprawnienia źródłowego
katalogu mogą być jednak modyfikowane na różne sposoby.

Niektóre zastosowania bindfs:
- uczynienie katalogu będącym tylko do odczytu
- uczynienie wszystkich programów niewykonywalnymi
- współdzielenie katalogu z listą użytkowników (lub grup)
- zmodyfikowanie bitów uprawnień przy użyciu reguł o składni jak chmod
- zmiana uprawnień, z jakimi są tworzone pliki

%prep
%setup -q

%build
%configure

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc ChangeLog README.md TODO
%attr(755,root,root) %{_bindir}/bindfs
%{_mandir}/man1/bindfs.1*
%changelog
* Sun Apr 07 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/bindfs.git;a=log;h=master

* Sun Apr 07 2024 Jan Palus <atler@pld-linux.org> 262eac2
- up to 1.17.7

* Fri Nov 10 2023 Jan Palus <atler@pld-linux.org> 681166a
- up to 1.17.6

* Tue Jul 18 2023 Jakub Bogusz <qboosh@pld-linux.org> 3ae8478
- updated to 1.17.4, pl

* Sat Jun 03 2023 Jan Palus <atler@pld-linux.org> b70be11
- up to 1.17.3

* Wed Feb 08 2023 Jan Palus <atler@pld-linux.org> 6e4313c
- up to 1.17.2

* Tue Oct 18 2022 Jan Palus <atler@pld-linux.org> 51c54a5
- up to 1.17.1

* Wed Jul 13 2022 Jan Palus <atler@pld-linux.org> bfe4648
- up to 1.17.0

* Sun Jun 26 2022 Jan Palus <atler@pld-linux.org> 9091ab2
- up to 1.16.1

* Sat Jun 18 2022 Jan Palus <atler@pld-linux.org> 8968c8a
- up to 1.16.0

* Sun May 30 2021 Jan Palus <atler@pld-linux.org> 9a26e8a
- R: libfuse3-tools

* Sat May 29 2021 Jan Palus <atler@pld-linux.org> 4a01e89
- new

